Difference between revisions of "Draft Array/fr"

From FreeCAD Documentation
Jump to: navigation, search
(Created page with "pour circular arrays: * {{PropertyData/fr|Number Circles}}: * {{PropertyData/fr|Radial distance}}: * {{PropertyData/fr|Symmetry}}: * {{PropertyData/fr|Tangential Distance}}:")
m
 
Line 31: Line 31:
 
[[Image:Draft_CircularArray_example.png|200px]]
 
[[Image:Draft_CircularArray_example.png|200px]]
  
{{Caption|Un tableau circulaire à partir d'un objet solide, l'objet au centre}}
+
{{Caption|Un réseau circulaire à partir d'un objet solide, l'objet au centre}}
  
 
==Utilisation==
 
==Utilisation==

Latest revision as of 14:54, 27 October 2019

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Page précédente: Draft Draft2Sketch.svg Draft vers Sketch
Page suivante: Link Array Draft LinkArray.svg Arrow-right.svg

Draft Array.svg Réseau Draft

Emplacement du menu
Draft → Réseau
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Chemin pour série de formes, Draft PointArray, Draft Clone


Description

L'outil Réseau (tableau ou copies multiples) crée une copie orthogonale (3 axes) ou un tableau polaire de l'objet sélectionné.

Cet outil peut être utilisé sur des formes 2D créées avec l'atelier Draft, mais également sur de nombreux types d'objets 3D, tels que ceux créés avec l'atelier Part ou l'atelier PartDesign.

Pour positionner les copies le long d'un chemin, utilisez l'outil PathArray ; pour positionner des copies à des points spécifiés, utilisez Draft PointArray ; pour créer des copies ou des clones et les placer manuellement, utilisez les outils Draft déplacer, Draft rotation, et Draft Clone.

Draft Array example.jpg

Un tableau orthogonal et un tableau polaire d'un objet solide


Circular Array a été ajouté à FreeCAD 0.19

Draft CircularArray example.png

Un réseau circulaire à partir d'un objet solide, l'objet au centre


Utilisation

  1. Sélectionnez l'objet pour créer un réseau.
  2. Pressez le bouton Draft Array.png Réseau Draft. Si aucun objet n'est sélectionné vous serez invité à en sélectionner un.
  3. L'objet Array est créé immédiatement. Vous devez modifier les propriétés du tableau pour modifier le nombre et la direction des copies créées.

Chaque élément du tableau est un clone exact de l'objet d'origine, mais l'ensemble du tableau est considéré comme une unité unique en termes de propriétés et d'apparence.

Options

Il n'y a pas d'options pour cet outil. Cela fonctionne avec l'objet sélectionné ou non.

Propriétés

  • DONNÉESBase : spécifie l'objet à dupliquer dans le tableau.
  • DONNÉESArray Type : spécifie le type de tableau à créer, soit "orthogonal" or "polaire".
  • DONNÉESFuse : si elle est réglée sur True et que les copies se croisent, elles seront fusionnées en une seule forme.

Pour une matrice orthogonale:

  • DONNÉESInterval X : L’intervalle entre chaque copie sur le premier axe
  • DONNÉESInterval Y : L’intervalle entre chaque copie sur le deuxième axe
  • DONNÉESInterval Z : L’intervalle entre chaque copie sur le troisième axe
  • DONNÉESNumber X : Le nombre de copies sur le premier axe
  • DONNÉESNumber Y : Le nombre de copies sur le deuxième axe
  • DONNÉESNumber Z : Le nombre de copies sur le troisième axe

Pour une matrice polaire :

  • DONNÉESAxis : La direction normale de la matrice circulaire
  • DONNÉESCenter : Le point central de la matrice
  • DONNÉESAngle : L'angle couvert par les copies
  • DONNÉESNumber Polar : Le nombre de copies
  • DONNÉESInterval Axis : spécifie l'intervalle entre chaque copie dans la direction DONNÉESAxis.

pour circular arrays:

  • DONNÉESNumber Circles:
  • DONNÉESRadial distance:
  • DONNÉESSymmetry:
  • DONNÉESTangential Distance:

Le nombre de propriétés, X, Y, Z ou Polar, inclut également l'objet d'origine. Ce nombre est donc au moins égal à un.

Un intervalle n'est pas une simple distance, mais un vecteur (x, y, z). Si plusieurs valeurs sont non nulles, la copie sera créée dans la direction principale, mais sera également déplacée dans les autres directions non nulles.

Par exemple, si l'DONNÉESIntervalle X est égal à (2 m, 1 m, 1 m) et si DONNÉESNombre X est égal à 3, il créera 3 copies dans la direction X ; la première copie sera à la position d'origine ; la seconde sera déplacée de 2 m sur l'axe X, 1 m sur l'axe Y et 1 m sur l'axe Z ; la troisième copie sera déplacée de 4 m sur l'axe X, de 2 m sur l'axe Y et de 2 m sur l'axe Z. Chaque élément de la matrice sera déplacé légèrement d'un côté (direction Y) et vers le haut (direction Z) à côté de la direction X principale.

La propriété DONNÉESAxe d'intervalle fonctionne de la même manière. Si la forme d'origine repose sur le plan XY, la création d'un tableau polaire avec DONNÉESAxe d'intervalle (0, 0, z) vous permet de réaliser des arrangements en spirale.

Script

Voir aussi: Draft API et FreeCAD Scripts de base.

L'outil matrice peut être utilisé dans une macro et dans la console Python en utilisant une des fonctions suivantes, et dépend du résultat recherché, simple copie de l'objet ou une copie paramétrique qui sera dépendante de l'objet original.

Simple réseau

La signature de base est la suivante :

array_list = array(objectslist, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None)

Pour créer un réseau rectangulaire, procédure à suivre :

array_list = array(objectslist, xvector, yvector, xnum, ynum)
array_list = array(objectslist, xvector, yvector, zvector, xnum, ynum, znum)

Pour réseau polaire, utilisez-le comme ceci :

array_list = array(objectslist, center, totalangle, totalnum)
  • Crée un tableau à partir des objets contenus dans objectlist, qui peut être un objet unique ou une liste d'objets.
  • Dans le cas d'un tableau rectangulaire, xvector, yvector et zvector déterminent la distance entre les points de base de chaque copie, dans les directions X, Y et Z; et xnum, ynum et znum sont le nombre de copies dans la direction respective.
  • Dans le cas d'un réseau polaire, center définit le centre du cercle du tableau, totalangle est l'angle de l'arc en degrés pour couvrir les copies, et {{incode|totalnum} } est le nombre de copies à organiser autour du cercle, y compris l'objet d'origine.
  • array_list est renvoyé avec les nouvelles copies.
    • array_list est soit un objet unique, soit une liste d'objets, en fonction de l'entrée objectlist.

Cette fonction utilise en interne Draft.move() et Draft.rotate() avec copy = True.

Exemple :

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)

array_list = Draft.array(Rect, FreeCAD.Vector(1600, 0, 0), FreeCAD.Vector(0, 600, 0), 3, 4)

Réseau paramétrique

La signature de base est la suivante :

Array = makeArray(baseobject, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, name="Array")

Pour un réseau rectangulaire, utilisez-le comme ceci :

Array = makeArray(baseobject, xvector, yvector, xnum, ynum, name="Array")
Array = makeArray(baseobject, xvector, yvector, zvector, xnum, ynum, znum, name="Array")

Pour un réseau polaire, utilisez-le comme ceci :

Array = makeArray(baseobject, center, totalangle, totalnum, name="Array")
  • Crée un objet Array à partir de baseobject donné.
  • Dans le cas d'un tableau rectangulaire, xvector, yvector et zvector déterminent la distance entre les points de base de chaque copie, dans les zones X, Y et Z directions; et xnum, ynum et znum sont le nombre de copies dans la direction respective.
  • Dans le cas d'un réseau polaire, center définit le centre du cercle du tableau, totalangle est l'angle de l'arc en degrés pour couvrir les copies, et totalnum est le nombre de copies à organiser autour du cercle, y compris l'objet d'origine.

Exemple :

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)
xvector = FreeCAD.Vector(1600, 0, 0)
yvector = FreeCAD.Vector(0, 600, 0)
Array = Draft.makeArray(Rect, xvector, yvector, 3, 4)

Tri = Draft.makePolygon(3, 600)
center = FreeCAD.Vector(-1600, 0, 0)
Array2 = Draft.makeArray(Tri, center, 360, 6)
Arrow-left.svg Page précédente: Draft Draft2Sketch.svg Draft vers Sketch
Page suivante: Link Array Draft LinkArray.svg Arrow-right.svg